summaryrefslogtreecommitdiffstats
path: root/foremost
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-01-09 16:18:11 +0000
committer Eric Hameleers <alien@slackware.com>2008-01-09 16:18:11 +0000
commit45ec7fdc9072f25c9bf096ef4547a81f8fa8f2f5 (patch)
treeb6a2e80e849b57703ebacec2bce863138ceea4ca /foremost
parent85c94d1d384106ac5b5cdc9fccdb96679a9f2142 (diff)
downloadasb-45ec7fdc9072f25c9bf096ef4547a81f8fa8f2f5.tar.gz
asb-45ec7fdc9072f25c9bf096ef4547a81f8fa8f2f5.tar.xz
Update
Diffstat (limited to 'foremost')
-rwxr-xr-xforemost/build/foremost.SlackBuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/foremost/build/foremost.SlackBuild b/foremost/build/foremost.SlackBuild
index 709a477d..fd7ba6b3 100755
--- a/foremost/build/foremost.SlackBuild
+++ b/foremost/build/foremost.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2007,2008 Eric Hameleers <alien@slackware.com>
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -32,6 +32,8 @@
# Changelog:
# 1.5-1: 05/Jun/2007 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 1.5.3-1: 09/jan/2008 by Eric Hameleers <alien@slackware.com>
+# * Update
#
# Run 'sh foremost.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -42,7 +44,7 @@
# Set initial variables:
PRGNAM=foremost
-VERSION=${VERSION:-1.5}
+VERSION=${VERSION:-1.5.3}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
@@ -106,7 +108,7 @@ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
mkdir -p $PKG # place for the package to be built
rm -rf $PKG/* # always erase old package's contents
-mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $OUTPUT # place for the package to be saved
# Source file availability:
if ! [ -f ${SOURCE} ]; then
@@ -115,7 +117,7 @@ if ! [ -f ${SOURCE} ]; then
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
echo "Source '`basename ${SOURCE}`' not available yet..."
echo "Will download file to `dirname $SOURCE`"
- wget -nv --connect-timeout=30 -O "${SOURCE}" "${SRCURL}" || true
+ wget -nv -T 30 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
@@ -161,7 +163,7 @@ mkdir -p $PKG/usr/man/man1 $PKG/etc
# Install all the needed stuff to the package dir
# Use installwatch if available, to produce a logfile of the installation
# process that is more easily readable:
-if `which installwatch > /dev/null 2>&1`; then
+if $(which installwatch > /dev/null 2>&1); then
installwatch -o $OUTPUT/install-${PRGNAM}.log \
make BIN=$PKG/usr MAN=$PKG/usr/man/man1 CONF=$PKG/etc install
else